Subject: Re: bug#29737: 27.0.50; pixel-scroll-mode is laggy

From: Eli Zaretskii <[email-masked]>
Date: Fri, 22 Dec 2017 12:22:13 +0200

> Date: Sun, 17 Dec 2017 11:00:45 +0900 (JST)
> Cc: [email-masked], [email-masked], [email-masked]
> From: Tak Kunihiro <[email-masked]>
> 
> > While I see that scrolling became pixel-wise indeed, it is also very
> > laggy. CPU blows up to 100% and ui hangs and freezes. It works ok if
> > I scroll slowly though. It happens with all my plugins and
> > customizations and if I run emacs with -Q flag. My OS is Arch Linux
> > and I also have HiDPI screen (it's MacBook 11,4, mid-2015).
> 
> On the previous commit <8eb6870be690128fb1cbc012c55093813c39830c>, I
> revised two functions.  I fixed `pixel-scroll-down' but I broke
> `pixel-scroll-up'.  I apologize for the careless commit.
> 
> With the current and broken `pixel-scroll-up', when EOB is shown on
> top of the screen, emacs hangs (or goes in infinite while loop).  The
> pixel-scroll-up should be reverted to commit
> <1bda71ec3b11eeb4d06c3da094a3cb21bac18d5c>.
> 
> I'm sending ChangeLog and a patch relative to the current master.

I'd like to fix this on the release branch, not on master.  Is the
patch you sent good to go to the release branch?  Does it solve the
display lags mentioned in the bug report?

Thanks.